CREATE TABLE product (id int(11) NOT NULL AUTO_INCREMENT,name varchar(45) NOT NULL,brand varchar(45) NOT NULL,madein varchar(45) NOT NULL,price float NOT NULL,PRIMARY KEY (id));
INSERT INTO product (name,brand,madein,price) VALUES ('Smartphone','Phone company','USA',1500.00);
INSERT INTO product (name,brand,madein,price) VALUES ('Tablet','Tablet company','USA',1500.00);
INSERT INTO product (name,brand,madein,price) VALUES ('TV set','TV manufacturer','Korea',1500.00);
INSERT INTO product (name,brand,madein,price) VALUES ('Android Smartphone','Android','Taiwan',1700.00);
CREATE TABLE users (user_id int(11) NOT NULL AUTO_INCREMENT,username varchar(45) NOT NULL,password varchar(64) NOT NULL,role varchar(45) NOT NULL,enabled tinyint(4) DEFAULT NULL,PRIMARY KEY (user_id));
INSERT INTO users (username,password,role,enabled) VALUES ('peter@gmail.com','$2a$10$RH5aXE0LQbzJKfLU1obqQ.q.kRPTi6te3hXk.qaYbg2WclKAnlACG','ROLE_USER', 1);
INSERT INTO users (username,password,role,enabled) VALUES ('magic@cfl.rr.com','$2a$10$RH5aXE0LQbzJKfLU1obqQ.q.kRPTi6te3hXk.qaYbg2WclKAnlACG','ROLE_ADMIN', 1);
INSERT INTO users (username,password,role,enabled) VALUES ('michael@cfl.rr.com','$2a$10$RH5aXE0LQbzJKfLU1obqQ.q.kRPTi6te3hXk.qaYbg2WclKAnlACG','ROLE_USER', 1);
INSERT INTO users (username,password,role,enabled) VALUES ('henry@gmail.com','$2a$10$RH5aXE0LQbzJKfLU1obqQ.q.kRPTi6te3hXk.qaYbg2WclKAnlACG','ROLE_ADMIN', 1);
INSERT INTO users (username,password,role,enabled) VALUES ('mary@cfl.rr.com','$2a$10$RH5aXE0LQbzJKfLU1obqQ.q.kRPTi6te3hXk.qaYbg2WclKAnlACG','ROLE_USER', 1);
INSERT INTO users (username,password,role,enabled) VALUES ('thomas@gmail.com','$2a$10$RH5aXE0LQbzJKfLU1obqQ.q.kRPTi6te3hXk.qaYbg2WclKAnlACG','ROLE_ADMIN', 1);
CREATE TABLE SPRING_SESSION (PRIMARY_ID CHAR(36) NOT NULL,SESSION_ID CHAR(36) NOT NULL,CREATION_TIME BIGINT NOT NULL,LAST_ACCESS_TIME BIGINT NOT NULL,MAX_INACTIVE_INTERVAL INT NOT NULL,EXPIRY_TIME BIGINT NOT NULL,PRINCIPAL_NAME VARCHAR(100),CONSTRAINT SPRING_SESSION_PK PRIMARY KEY (PRIMARY_ID)) ENGINE=InnoDB ROW_FORMAT=DYNAMIC;
CREATE UNIQUE INDEX SPRING_SESSION_IX1 ON SPRING_SESSION (SESSION_ID);
CREATE INDEX SPRING_SESSION_IX2 ON SPRING_SESSION (EXPIRY_TIME);
CREATE INDEX SPRING_SESSION_IX3 ON SPRING_SESSION (PRINCIPAL_NAME);
CREATE TABLE SPRING_SESSION_ATTRIBUTES (SESSION_PRIMARY_ID CHAR(36) NOT NULL,ATTRIBUTE_NAME VARCHAR(200) NOT NULL,ATTRIBUTE_BYTES BLOB NOT NULL,CONSTRAINT SPRING_SESSION_ATTRIBUTES_PK PRIMARY KEY (SESSION_PRIMARY_ID, ATTRIBUTE_NAME),CONSTRAINT SPRING_SESSION_ATTRIBUTES_FK FOREIGN KEY (SESSION_PRIMARY_ID) REFERENCES SPRING_SESSION(PRIMARY_ID) ON DELETE CASCADE) ENGINE=InnoDB ROW_FORMAT=DYNAMIC;
